Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:33 2009

## Asterisk developer's documentation

# ast_variable Struct Reference

`#include <config.h>`

Collaboration diagram for ast_variable:

[legend]

## Data Fields

int | blanklines
int | lineno
char * | name
struct ast_variable * | next
int | object
struct ast_comment * | precomments
struct ast_comment * | sameline
char | stuff [0]
char * | value

## Detailed Description

Definition at line 36 of file config.h.

## Field Documentation

int blanklines

Number of blanklines following entry

Definition at line 41 of file config.h.

Referenced by config_text_file_save(), process_text_line(), and variable_clone().

int lineno

Definition at line 39 of file config.h.

Referenced by apply_outgoing(), authenticate(), build_device(), build_gateway(), build_peer(), build_user(), handle_common_options(), iax_template_parse(), ind_load_module(), init_logger_chain(), load_config(), osp_build(), pbx_load_module(), process_text_line(), reload_config(), reload_queues(), set_config(), setup_zap(), update_common_options(), and variable_clone().

char* name

Definition at line 37 of file config.h.

Referenced by _build_general_config(), _build_port_config(), _sip_show_peer(), adsi_load(), ast_enum_init(), ast_iax2_new(), ast_readconfig(), ast_set_variables(), ast_variable_new(), ast_variable_retrieve(), authenticate(), build_alias(), build_callno_limits(), build_device(), build_gateway(), build_peer(), build_user(), check_access(), cli_load_realtime(), collect_function_digits(), conf_exec(), config_text_file_save(), do_directory(), find_conf(), find_queue_by_name_rt(), find_user_realtime(), handle_common_options(), handle_save_dialplan(), iax_template_parse(), ind_load_module(), init_logger_chain(), load_config(), load_module(), load_modules(), load_moh_classes(), load_odbc_config(), loadconfigurationfile(), osp_build(), parse_config(), pbx_load_module(), read_agent_config(), read_config_maps(), realtime_exec(), realtime_peer(), realtime_user(), reload_config(), reload_queues(), rpt_master(), set_config(), setup_zap(), sip_new(), sip_notify(), sip_show_user(), store_config(), update_common_options(), and variable_clone().

struct ast_variable* next`[read]`

Definition at line 44 of file config.h.

Referenced by _build_general_config(), _build_port_config(), _sip_show_peer(), adsi_load(), apply_outgoing(), ast_enum_init(), ast_iax2_new(), ast_instring(), ast_readconfig(), ast_set_variables(), ast_variable_append(), ast_variable_retrieve(), ast_variables_destroy(), authenticate(), build_alias(), build_callno_limits(), build_device(), build_gateway(), build_peer(), build_user(), check_access(), check_user_full(), cli_load_realtime(), collect_function_digits(), conf_exec(), config_text_file_save(), do_directory(), find_conf(), find_queue_by_name_rt(), find_user_realtime(), handle_save_dialplan(), iax_template_parse(), ind_load_module(), inherit_category(), init_logger_chain(), launch_page(), load_config(), load_module(), load_modules(), load_moh_classes(), load_odbc_config(), loadconfigurationfile(), move_variables(), osp_build(), parse_config(), pbx_load_module(), read_agent_config(), read_config_maps(), realtime_exec(), realtime_peer(), realtime_user(), reload_config(), reload_queues(), rpt_master(), set_config(), setup_zap(), sip_new(), sip_notify(), sip_show_user(), store_config(), and vm_forwardoptions().

int object

0 for variable, 1 for object

Definition at line 40 of file config.h.

Referenced by config_text_file_save(), process_text_line(), and variable_clone().

struct ast_comment* precomments`[read]`

Definition at line 42 of file config.h.

struct ast_comment* sameline`[read]`

Definition at line 43 of file config.h.

Referenced by config_text_file_save().

char stuff[0]

Definition at line 45 of file config.h.

Referenced by agi_debug_cli(), and ast_variable_new().

char* value

Definition at line 38 of file config.h.

Referenced by _build_general_config(), _build_port_config(), _sip_show_peer(), adsi_load(), ast_enum_init(), ast_iax2_new(), ast_readconfig(), ast_set_variables(), ast_variable_new(), ast_variable_retrieve(), authenticate(), build_alias(), build_callno_limits(), build_device(), build_gateway(), build_peer(), build_user(), check_access(), cli_load_realtime(), collect_function_digits(), conf_exec(), config_text_file_save(), do_directory(), find_conf(), find_queue_by_name_rt(), find_user_realtime(), handle_common_options(), handle_save_dialplan(), iax_template_parse(), ind_load_module(), init_logger_chain(), load_config(), load_module(), load_modules(), load_moh_classes(), load_odbc_config(), loadconfigurationfile(), osp_build(), parse_config(), pbx_load_module(), read_agent_config(), read_config_maps(), realtime_exec(), realtime_peer(), realtime_user(), reload_config(), reload_queues(), set_config(), setup_zap(), sip_new(), sip_notify(), sip_show_user(), store_config(), update_common_options(), and variable_clone().

The documentation for this struct was generated from the following file:

- config.h